Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://alb.neural4d.com:3000/api/generateModelWithText \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "prompt": "people", "modelCount": 1, "disablePbr": 1 } '
const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({prompt: 'people', modelCount: 1, disablePbr: 1})};fetch('https://alb.neural4d.com:3000/api/generateModelWithText', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requestsurl = "https://alb.neural4d.com:3000/api/generateModelWithText"payload = { "prompt": "people", "modelCount": 1, "disablePbr": 1}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
{ "type": "sys", "message": "Generating", "uuids": [ "f47ac10b-58cc-4372-a567-0e02b2c3d479", "c9bf9e57-1685-4c89-bafb-ff5af830be8a", "e7b8c5b2-fd0d-4d28-bf8a-a6a1b2c1f9c8", "a6edc906-2d9b-4cc3-bb7b-5b5a7e5c9f0a" ] }
通过文本提示词生成 3D 模型。该操作消耗 60 点数。
使用 Neural4D 网站提供的 Bearer token。
用于生成 3D 模型的文本提示词。
"people"
生成模型的数量。
x >= 1
PBR 开关。使用 0 开启 PBR,使用 1 关闭 PBR。
0
1
已接受生成任务
响应来源或类型标记。
"sys"
生成状态消息。
"Generating"
可在后续查询模型时使用的 UUID 列表。